An API call to create a job within a specified project. The source file can be provided directly in the message body or downloaded from connector.
Please supply job metadata in Memsource header. For file in the request body provide also the
filename in Content-Disposition header.
Accepted metadata:
sample.json imported for EN>DE and EN>FR language combination into a project with
Translation and Review workflow steps will result in 4 jobs being created, one for each language and step.
Note: Each time a file is uploaded, the resulting wordcount for each target language (not workflow step) is counted
towards the organization’s allowance.callbackUrl is set only for the specific operation at hand.For remote file jobs also remoteFile can be added. To retrieve the information below,
use the connector APIs.
Create and assign job in project without workflow step:
{
"targetLangs": [
"cs_cz"
],
"callbackUrl": "https://my-shiny-service.com/consumeCallback",
"importSettings": {
"uid": "abcd123"
},
"due": "2007-12-03T10:15:30.00Z",
"path": "destination directory",
"assignments": [
{
"targetLang": "cs_cz",
"providers": [
{
"id": "4321",
"type": "USER"
}
]
}
],
"notifyProvider": {
"organizationEmailTemplate": {
"id": "39"
},
"notificationIntervalInMinutes": "10"
}
}
Create job from remote file without workflow steps:
{
"remoteFile": {
"connectorToken": "948123ef-e1ef-4cd3-a90e-af1617848af3",
"remoteFolder": "/",
"remoteFileName": "Few words.docx",
"continuous": false
},
"assignments": [],
"workflowSettings": [],
"targetLangs": [
"cs"
]
}
Create and assign job in project with workflow step:
{
"targetLangs": [
"de"
],
"useProjectFileImportSettings": "true",
"workflowSettings": [
{
"id": "64",
"due": "2007-12-03T10:15:30.00Z",
"assignments": [
{
"targetLang": "de",
"providers": [
{
"id": "3",
"type": "VENDOR"
}
]
}
],
"notifyProvider": {
"organizationEmailTemplate": {
"id": "39"
},
"notificationIntervalInMinutes": "10"
}
}
]
}
Create a job with job preview package reference:
{
"targetLangs": [
"de"
],
"jobPreviewPackageFileUidRef": {"uid": "jobPreviewPackageFileUid123"}
}
Documentation Index
Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
Use this file to discover all available pages before exploring further.
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Required when remoteFile is empty. Must match pattern ((inline|attachment); )?(filename\*=UTF-8''(.+)|filename="?(.+)"?)
The body is of type object.